#ifndef DBH_UBUS_H
#define DBH_UBUS_H

#ifdef DYNBH
#include <libubus.h>
#include <libubox/blobmsg.h>

struct agent;
struct ethport;

enum {
	BACKHAUL_STATUS_TYPE,
	__BACKHAUL_STATUS_MAX,
};

extern const struct blobmsg_policy backhaul_status_params[__BACKHAUL_STATUS_MAX];

void i1905_addif(struct agent *a, struct ethport *port);
void i1905_delif(struct agent *a, struct ethport *port);
int dynbhd_status(struct ubus_context *ctx, struct ubus_object *obj,
			struct ubus_request_data *req, const char *method,
			struct blob_attr *msg);
#endif
#endif
